<?xml version="1.0" encoding="UTF-8"?>
<phpunit
        colors="true"
        convertErrorsToExceptions="true"
        convertNoticesToExceptions="true"
        convertWarningsToExceptions="true"
        forceCoversAnnotation="false"
        processIsolation="false"
        stopOnError="false"
        stopOnFailure="false"
        stopOnIncomplete="false"
        stopOnSkipped="false"
        verbose="false"
>

    <testsuites>
        <testsuite name="AllTests">
            <directory>tests</directory>
        </testsuite>
    </testsuites>
    <filter>
        <whitelist processUncoveredFilesFromWhitelist="true">
            <directory suffix=".php">app</directory>
            <exclude>
                <file></file>
            </exclude>
        </whitelist>
    </filter>


    <logging>
        <log type="coverage-html" target="/tmp/report" lowUpperBound="35" highLowerBound="70"/>
        <log type="coverage-clover" target="/tmp/coverage.xml"/>
        <log type="coverage-php" target="/tmp/coverage.serialized"/>
        <log type="coverage-text" target="php://stdout" showUncoveredFiles="false"/>
        <log type="junit" target="/tmp/logfile.xml"/>
        <log type="testdox-html" target="/tmp/testdox.html"/>
        <log type="testdox-text" target="/tmp/testdox.txt"/>
    </logging>
</phpunit>